ruby-valid_1.0.0-2_all.deb


Advertisement

Description

ruby-valid - standalone, generic object validator for ruby

Distribution: Ubuntu 16.04 LTS (Xenial Xerus)
Repository: Ubuntu Universe i386
Package name: ruby-valid
Package version: 1.0.0
Package release: 2
Package architecture: all
Package type: deb
Installed size: 37 B
Download size: 7.00 KB
Official Mirror: archive.ubuntu.com
Validator is a simple ruby validation class. You don't use it directly inside your classes like just about every other ruby validation class out there. This is implemented in this way so you don't automatically pollute the namespace of the objects you want to validate. This also solves the problem of validating forms very nicely. Frequently you will have a form that represents many different data objects in your system, and you can pre-validate everything before doing any saving.

Alternatives

    Download

    Source package: ruby-valid

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install ruby-valid deb package:
      # sudo apt-get install ruby-valid

    Files

    • /usr/lib/ruby/vendor_ruby/validation.rb
    • /usr/lib/ruby/vendor_ruby/validation/validator.rb
    • /usr/lib/ruby/vendor_ruby/validation/version.rb
    • /usr/lib/ruby/vendor_ruby/validation/rule/email.rb
    • /usr/lib/ruby/vendor_ruby/validation/rule/length.rb
    • /usr/lib/ruby/vendor_ruby/validation/rule/matches.rb
    • /usr/lib/ruby/vendor_ruby/validation/rule/not_empty.rb
    • /usr/lib/ruby/vendor_ruby/validation/rule/numeric.rb
    • /usr/lib/ruby/vendor_ruby/validation/rule/phone.rb
    • /usr/lib/ruby/vendor_ruby/validation/rule/regular_expression.rb
    • /usr/lib/ruby/vendor_ruby/validation/rule/uri.rb
    • /usr/lib/ruby/vendor_ruby/validation/rule/uuid.rb
    • /usr/share/doc/ruby-valid/README.md
    • /usr/share/doc/ruby-valid/changelog.Debian.gz
    • /usr/share/doc/ruby-valid/copyright
    • /usr/share/rubygems-integration/all/specifications/valid-1.0.0.gemspec

    Changelog

    2015-09-15 - Pirate Praveen <praveen@debian.org> ruby-valid (1.0.0-2) unstable; urgency=medium * Reupload to unstable

    2015-09-01 - Pirate Praveen <praveen@debian.org> ruby-valid (1.0.0-1) experimental; urgency=medium * Initial release (Closes: #797642)

    Advertisement
    Advertisement